package org.gcube.portlets.user.td.widgetcommonevent.shared.tr.column;


/**
 * 
 * @author "Giancarlo Panichi" 
 * <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public enum ColumnDataType {
	Boolean("Boolean"),
	Geometry("Geometry"), 
	Integer("Integer"),
	Numeric("Numeric"),
	Date("Date"),
	Text("Text");
	
	
	/**
	 * @param text
	 */
	private ColumnDataType(final String id) {
		this.id = id;
	}

	private final String id;
	
	@Override
	public String toString() {
		return id;
	}

	public static ColumnDataType getColumnDataTypeFromId(String id){
		if(id.compareTo(Boolean.id)==0){
			return Boolean;
		} else {
			if(id.compareTo(Geometry.id)==0){
				return Geometry;
			} else {
				if(id.compareTo(Integer.id)==0){
					return Integer;
				} else {
					if(id.compareTo(Numeric.id)==0){
						return Numeric;
					} else {
						if(id.compareTo(Date.id)==0){
							return Date;
						} else {
							if(id.compareTo(Text.id)==0){
								return Text;
							} else {
								return null;
							}
						}
					}
				}
			}
		}
	}
	
	
}
